Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetUserProfilePhotos

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.ChatPhotos>
it.tdlight.jni.TdApi.GetUserProfilePhotos

Enclosing class:
  TdApi

public static final class TdApi.GetUserProfilePhotos extends TdApi.Function<TdApi.ChatPhotos>
Returns the profile photos of a user. The result of this query may be outdated: some photos might have been deleted already.

Returns `ChatPhotos`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`int`
`limit`
The maximum number of photos to be returned; up to 100.
`int`
`offset`
The number of photos to skip; must be non-negative.
`long`
`userId`
User identifier.

## Constructor Summary

Constructors
Constructor
Description
`GetUserProfilePhotos()`
Returns the profile photos of a user.
`GetUserProfilePhotos(long userId, int offset, int limit)`
Returns the profile photos of a user.
`GetUserProfilePhotos(DataInput input)`
Returns the profile photos of a user.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### userId

public long userId
User identifier.

### offset

public int offset
The number of photos to skip; must be non-negative.

### limit

public int limit
The maximum number of photos to be returned; up to 100.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### GetUserProfilePhotos

public GetUserProfilePhotos()
Returns the profile photos of a user. The result of this query may be outdated: some photos might have been deleted already.

Returns `ChatPhotos`

### GetUserProfilePhotos

public GetUserProfilePhotos(long userId, int offset, int limit)
Returns the profile photos of a user. The result of this query may be outdated: some photos might have been deleted already.

Returns `ChatPhotos`

Parameters:
  `userId` - long User identifier.
  `offset` - int The number of photos to skip; must be non-negative.
  `limit` - int The maximum number of photos to be returned; up to 100.

### GetUserProfilePhotos

public GetUserProfilePhotos(DataInput input) throws IOException
Returns the profile photos of a user. The result of this query may be outdated: some photos might have been deleted already.

Returns `ChatPhotos`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`